<a href="https://www.telerik.com/kendo-angular-ui/components/grid" target="_blank">
<img [width]="631" src="https://www.telerik.com/kendo-angular-ui/npm-banner.svg" alt="Kendo UI for Angular Data Grid">
</a>

## Kendo UI for Angular Data Grid Component

> * This package is part of the [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/)&mdash;a commercial UI library.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular team!

The [Kendo UI for Angular Data Grid](https://www.telerik.com/kendo-angular-ui/components/grid) includes a comprehensive set of ready-to-use features covering everything from paging, sorting, filtering, editing, and grouping to row and column virtualization, exporting to PDF and Excel, and accessibility support. This Data Grid Component (sometimes called a Data Table) is built on Angular from the ground up, by a company with a long history of making enterprise-ready Grids. This results in an Angular data grid that delivers lighting fast performance and is highly customizable.

## Key Features

Among the many features which the Kendo UI for Angular Grid delivers are:

* Data Binding&mdash;The Grid supports various binding methods to accommodate different requirements, including binding to an array of objects or a [GridDataResult](https://www.telerik.com/kendo-angular-ui/components/grid/api/griddataresult) object, as well as utilizing a server to fetch remote data for dynamic content. [Read more about the data binding functionality of the Grid...](https://www.telerik.com/kendo-angular-ui/components/grid/data-binding/basics)
* Editing&mdash;Depending on your users' requirements, you can opt for the inline or the in-cell edit modes using either the Template-Driven or Reactive forms. The Grid provides further customization options such as editing from an external form or Redux Form. [Read more about the editing feature of the Data Grid...](https://www.telerik.com/kendo-angular-ui/components/grid/editing/basics)
* Paging&mdash;The Grid enables you to split its content into pages by adding a pager. The pager provides an extensive set of configuration options such as implementing a responsive behavior, customizing its appearance, defining the space between its elements, and more. [Read more about the pager options of the Grid...](https://www.telerik.com/kendo-angular-ui/components/grid/paging/basics)
* Sorting&mdash;The Grid supports a number of sorting options. These options include the sorting and unsorting of single and multiple columns, pre-sorting data records, setting the sorting direction, and more. [Read more about the sorting options of the Grid...](https://www.telerik.com/kendo-angular-ui/components/grid/sorting/basics)
* Filtering&mdash;The Grid provides options for displaying only those data records which meet specified criteria. The component also allows you to additionally customize its filtering behavior by using its built-in filter templates or reusable custom filter components. [Read more about filtering the Grid records...](https://www.telerik.com/kendo-angular-ui/components/grid/filtering/basics)
* Grouping&mdash;Out of the box, you can apply dynamic grouping to the data Grid records, set grouping by aggregate values, and, in the same way as with the sorting functionality, pre-group the data. [Read more about grouping the records of the Grid...](https://www.telerik.com/kendo-angular-ui/components/grid/grouping/basics)
* Exporting to PDF and Excel&mdash;When implementing the Grid export to PDF, you can set the fonts, the exact portion and layout of the exported content, also customize the columns and other elements of the output result. When exporting to Excel, you can export specific data and customize the exported columns. Read more on [exporting the Grid to PDF](https://www.telerik.com/kendo-angular-ui/components/grid/export/pdf-export) and [exporting the Grid to Excel](https://www.telerik.com/kendo-angular-ui/components/grid/export/excel-export).
* Rows Options&mdash;The Data Grid provides an extensive collection of row configuration options, including:

  - [Row selection](https://www.telerik.com/kendo-angular-ui/components/grid/selection/row-selection)&mdash;Allows you to select rows through interaction with the row itself or a checkbox. Supports single and multiple row selection.
  - [Sticky rows](https://www.telerik.com/kendo-angular-ui/components/grid/rows/sticky)&mdash;Allows you to display specific rows at all times even when user scrolls the data table.
  - [Detail row template](https://www.telerik.com/kendo-angular-ui/components/grid/master-detail/detail-template)&mdash;Allows you to render supplementary information about the data in a specific row. Supports [persisting the expanded state](https://www.telerik.com/kendo-angular-ui/components/grid/master-detail/expanded-state) of the detail row.
  - [Row reordering](https://www.telerik.com/kendo-angular-ui/components/grid/rows/reordering)&mdash;Allows you to reorder rows by dragging and dropping them.
  - [Row styling](https://www.telerik.com/kendo-angular-ui/components/grid/styling/rows)&mdash;Allows you to style the rows of the Grid using a callback function.
* Columns Options&mdash;The Data Grid provides an extensive collection of column configuration options, including:

  - [Hiding columns](https://www.telerik.com/kendo-angular-ui/components/grid/columns/hidden)&mdash;Allows you to show or hide columns.
  - [Spanning columns](https://www.telerik.com/kendo-angular-ui/components/grid/columns/spanned)&mdash;Spanning of the row content over multiple cells of data.
  - [Setting multi-column headers](https://www.telerik.com/kendo-angular-ui/components/grid/columns/headers)&mdash;Grouping columns under a common header.
  - [Column menu for quick actions](https://www.telerik.com/kendo-angular-ui/components/grid/accessories/column-menu)&mdash;You can show or hide columns, filter, sort, and group them.
  - [Locking (freezing) columns](https://www.telerik.com/kendo-angular-ui/components/grid/columns/locked) or [sticking columns](slug:sticky_columns_grid)&mdash;Allows you to display specific column data at all times.
  - [Reordering columns](https://www.telerik.com/kendo-angular-ui/components/grid/columns/reordering)&mdash;You can reorder any column and with any available Grid feature, including locked columns.
  - [Resizing columns](https://www.telerik.com/kendo-angular-ui/components/grid/columns/resizing)&mdash;Allows you to resize columns in real-time by dragging the edges of the column headers.
  - [Styling columns](https://www.telerik.com/kendo-angular-ui/components/grid/styling/columns)&mdash;Allows you to style the columns of the Grid using a callback function.
* Virtualization&mdash;The Data Grid supports a virtual scroll mode for its row data, which means that the component dynamically renders only a portion of the rows. This virtualization approach boosts the performance of the component when it has to display large data tables. [Read more about the virtualization feature of the Grid...](https://www.telerik.com/kendo-angular-ui/components/grid/scroll-modes/virtual)
* Sizing&mdash;The Grid provides predefined options which allow you to set the different `padding` to the Grid building blocks. For more information, refer to the [sizing options of the Grid](https://www.telerik.com/kendo-angular-ui/components/grid/sizing).
* Styling&mdash;Our components are designed to look great out of the box, but we understand that every application is different. That's why the [Progress Design System Kit](https://www.telerik.com/design-system) provides resources to help you customize the look and feel of your Kendo UI for Angular Data Grid component. If time is of the essence, our [ThemeBuilder application](https://www.telerik.com/themebuilder) can help you quickly and seamlessly modify the component's appearance.
* Chart Integration&mdash;The Grid provides built-in options that allow you to quickly generate charts using its data thus visually represent trends, patterns, and more. [Read more about the Grid Chart integration...](https://www.telerik.com/kendo-angular-ui/components/grid/integration-with-chart)
* Globalization&mdash;The Kendo UI for Angular Data Grid supports globalization to ensure that it can fit well in any application, no matter what languages and locales need to be supported. Additionally, the Grid supports rendering in a right-to-left (RTL) direction. [Read more about the globalization of the Grid...](https://www.telerik.com/kendo-angular-ui/components/grid/globalization)
* Accessibility&mdash;The Data Grid is [WCAG 2.2 AA](https://www.w3.org/TR/WCAG22/) and Section [508 compliant](https://www.section508.gov/), incorporating [WAI-ARIA](https://www.w3.org/WAI/ARIA/apg/) best practices for modern web accessibility. The Grid is also tested against the popular screen readers, including JAWS and NVDA. [Read more about the accessibility of the Grid...](https://www.telerik.com/kendo-angular-ui/components/grid/accessibility)
* Keyboard Navigation&mdash;The Data Grid supports a number of keyboard shortcuts which allow users to accomplish various commands. [Read more about the keyboard navigation of the Grid...](https://www.telerik.com/kendo-angular-ui/components/grid/keyboard-navigation)

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Grid, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-center/contact-us/technical-support).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Grid](https://www.telerik.com/kendo-angular-ui/components/grid/installation/getting-started)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2024 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
