/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, NgZone, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ColumnMenuItemDirective {
    hostElement: ElementRef;
    private renderer;
    private ngZone;
    /**
     * The reference to the Grid column menu item. Required to include the item in the built-in keyboard navigation.
     */
    menuItemComponent: any;
    firstFocusableElement: HTMLElement;
    lastFocusableElement: HTMLElement;
    /**
     * @hidden
     */
    set isFirst(value: boolean);
    /**
     * @hidden
     */
    get isFirst(): boolean;
    /**
     * @hidden
     */
    set isLast(value: boolean);
    /**
     * @hidden
     */
    get isLast(): boolean;
    private _isFirst;
    private _isLast;
    private columnMenuItems;
    private subs;
    constructor(hostElement: ElementRef, renderer: Renderer2, ngZone: NgZone);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private onTab;
    private getLastColumnMenuItem;
    private isExpandableItem;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColumnMenuItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ColumnMenuItemDirective, "[kendoGridColumnMenuItem]", never, { "menuItemComponent": { "alias": "kendoGridColumnMenuItem"; "required": false; }; }, {}, never, never, true, never>;
}
