/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DataItem } from './data-item.interface';
import { GroupItem } from './group-item.interface';
import { GroupFooterItem } from './group-footer-item.interface';
/**
 * Represents the item by which the Grid tracks changes. [See example](slug:track_changes_grid).
 *
 * The possible values are:
 * * [`DataItem`]({% slug api_grid_dataitem %}).
 * * [`GroupItem`]({% slug api_grid_groupitem %}).
 * * [`GroupFooterItem`]({% slug api_grid_groupfooteritem %}).
 */
export type GridItem = DataItem | GroupItem | GroupFooterItem;
