/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, EventEmitter, NgZone, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { DraggableDirective } from '@progress/kendo-angular-common';
import { DragAndDropService } from './drag-and-drop.service';
import { DragHintService } from './drag-hint.service';
import { DragAndDropContext } from './context-types';
import { DropCueService } from './drop-cue.service';
import { NavigationService } from '../navigation/navigation.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DraggableColumnDirective implements OnInit, OnDestroy {
    draggable: DraggableDirective;
    element: ElementRef;
    private zone;
    private service;
    private hint;
    private cue;
    private nav;
    private renderer;
    context: DragAndDropContext;
    set enableDrag(enabled: boolean);
    drag: EventEmitter<any>;
    get hostClass(): boolean;
    private subscriptions;
    private enabled;
    constructor(draggable: DraggableDirective, element: ElementRef, zone: NgZone, service: DragAndDropService, hint: DragHintService, cue: DropCueService, nav: NavigationService, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private drop;
    private performDrag;
    private elementUnderCursor;
    private updateTouchAction;
    static ɵfac: i0.ɵɵFactoryDeclaration<DraggableColumnDirective, [{ host: true; }, null, null, null, null, null, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DraggableColumnDirective, "[kendoDraggableColumn]", never, { "context": { "alias": "context"; "required": false; }; "enableDrag": { "alias": "enableDrag"; "required": false; }; }, { "drag": "drag"; }, never, never, true, never>;
}
