/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Defines the settings for `position` property of the  the Grid Toolbar Template. [See example](slug:toolbartemplate_grid#toc-setting-the-toolbar-position)
 *
 * The possible values are:
 * * `top`&mdash;Displays the Toolbar a the top of the Grid.
 * * `bottom`&mdash;Displays the Toolbar at the bottom of the Grid.
 * * `both`&mdash;Displays the Toolbar at the top and bottom of the Grid.
 *
 * @example
 * ```html
 * <kendo-grid >
 *   <ng-template kendoGridToolbarTemplate position="bottom" let-position="position">
 *     <button (click)="onClick()">Custom action</button>
 *   </ng-template>
 * </kendo-grid>
 * ```
 */
export {};
