/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnDestroy } from '@angular/core';
import { ContextService } from '../../common/provider.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare const toJSON: (xs: FilterOperatorBase[]) => Array<{
    text: string;
    value: string;
}>;
/**
 * @hidden
 */
export declare class FilterOperatorBase implements OnDestroy {
    protected operator: string;
    protected ctx: ContextService;
    /**
     * The text that will be displayed in the drop-down list.
     * @readonly
     * @type {string}
     * @memberOf FilterOperatorBase
     */
    get text(): string;
    set text(value: string);
    private subscription;
    private messages;
    private _text;
    constructor(operator: string, ctx: ContextService);
    ngOnDestroy(): void;
    /**
     * @hidden
     */
    toJSON(): {
        text: string;
        value: string;
    };
    protected refreshText(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterOperatorBase, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterOperatorBase, "kendo-grid-filter-operator-base", never, { "text": { "alias": "text"; "required": false; }; }, {}, never, never, false, never>;
}
