/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ContextService } from '../../common/provider.service';
import { FilterOperatorBase } from './filter-operator.base';
import * as i0 from "@angular/core";
/**
 * Represents the `Less` (**Is less than**) [numeric filter](slug:filtering_grid#toc-numeric-filter) operator.
 *
 * [See example](slug:filter_row#toc-default-filter-operator).
 */
export declare class LessFilterOperatorComponent extends FilterOperatorBase {
    constructor(ctx: ContextService);
    static ɵfac: i0.ɵɵFactoryDeclaration<LessFilterOperatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LessFilterOperatorComponent, "kendo-filter-lt-operator", never, {}, {}, never, never, true, never>;
}
