/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DoCheck } from '@angular/core';
import { GroupDescriptor } from '@progress/kendo-data-query';
import { GroupInfoService } from './group-info.service';
import { GroupsService } from './groups.service';
import { GroupItem } from '../data/group-item.interface';
import { ContextService } from '../common/provider.service';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class GroupHeaderComponent implements DoCheck {
    groupsService: GroupsService;
    groupInfoService: GroupInfoService;
    private ctx;
    rowIndex: number;
    logicalRowIndex: number;
    item: GroupItem;
    skipGroupDecoration: boolean;
    hasDetails: boolean;
    totalColumnsCount: number;
    hasGroupHeaderColumn: boolean;
    groupHeaderColumns: any[];
    columns: any;
    groups: Array<GroupDescriptor>;
    groupItemClass: boolean;
    tableGroupRowClass: boolean;
    isExpanded: boolean;
    caretAltDownIcon: SVGIcon;
    caretAltRightIcon: SVGIcon;
    caretAltLeftIcon: SVGIcon;
    constructor(groupsService: GroupsService, groupInfoService: GroupInfoService, ctx: ContextService);
    ngDoCheck(): void;
    prefixGroupCell(item: GroupItem): any[];
    toggleGroup(item: GroupItem): boolean;
    groupSpan(item: GroupItem): number;
    logicalColSpan(): number;
    ariaRole(): string;
    formatForGroup(item: GroupItem): string;
    groupTitle(item: GroupItem): string;
    groupHeaderTemplate(item: GroupItem): any;
    get groupButtonTitle(): any;
    get arrowIcon(): string;
    get arrowSVGIcon(): SVGIcon;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GroupHeaderComponent, "[kendoGridGroupHeader]", never, { "rowIndex": { "alias": "rowIndex"; "required": false; }; "logicalRowIndex": { "alias": "logicalRowIndex"; "required": false; }; "item": { "alias": "item"; "required": false; }; "skipGroupDecoration": { "alias": "skipGroupDecoration"; "required": false; }; "hasDetails": { "alias": "hasDetails"; "required": false; }; "totalColumnsCount": { "alias": "totalColumnsCount"; "required": false; }; "hasGroupHeaderColumn": { "alias": "hasGroupHeaderColumn"; "required": false; }; "groupHeaderColumns": { "alias": "groupHeaderColumns"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "groups": { "alias": "groups"; "required": false; }; }, {}, never, never, true, never>;
}
