/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { GroupResult } from "@progress/kendo-data-query";
/**
 * Represents a group row on a specific position in the Grid. [See example](slug:groups_expanded_state_grid#toc-custom-group-key-format).
 */
export interface GroupRowArgs {
    /**
     * The GroupResult object associated with the group row.
     */
    group?: GroupResult;
    /**
     * The hierarchical row group index.
     * For example, "4_0" would be the 1st sub-group in the 5th group.
     */
    groupIndex: string;
    /**
     * The current row parent group.
     */
    parentGroup?: GroupRowArgs;
}
