/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnDestroy } from '@angular/core';
import { GroupResult } from '@progress/kendo-data-query';
import { Subject } from 'rxjs';
import { GroupItem } from '../data/group-item.interface';
import { GroupRowArgs } from './group-rows-args.interface';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class GroupsService implements OnDestroy {
    changes: Subject<{
        group: GroupResult;
        expand: boolean;
        groupIndex: string;
        parentGroup: GroupRowArgs;
        emit?: boolean;
    }>;
    userCallback: (args: GroupRowArgs) => boolean;
    rowState: Set<string>;
    reset(): void;
    ngOnDestroy(): void;
    isExpanded(groupArgs: GroupRowArgs): boolean;
    isInExpandedGroup(groupItem: {
        data: GroupResult;
        index: string;
        parentGroup: GroupItem;
    }): boolean;
    toggleRow(groupItem: GroupItem, emit?: boolean): void;
    expandChildren(parentIndex: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GroupsService>;
}
