/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LogicalCell } from './logical-cell.interface';
import { LogicalRow } from './logical-row.interface';
/**
 * @hidden
 *
 * Contains information for the currently rendered rows and cells.
 */
export declare class NavigationModel {
    private rows;
    get firstRow(): any;
    get lastRow(): any;
    registerCell(cell: LogicalCell): any;
    unregisterCell(index: number, rowIndex: number, cell: LogicalCell): void;
    registerRow(row: LogicalRow): void;
    updateRow(row: LogicalRow): void;
    unregisterRow(index: number, row: LogicalRow): void;
    cellRange(cell: any): any;
    rowRange(cell: any): any;
    nextRow(rowIndex: any, offset: number): any;
    findRow(index: number): any;
    findCell(index: number, row: any): any;
    private rowCell;
}
