/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "@progress/kendo-angular-icons";
import * as i2 from "./pdf.component";
import * as i3 from "./pdf-margin.component";
import * as i4 from "./pdf-command.directive";
import * as i5 from "./pdf-template.directive";
import * as i6 from "./pdf-command-tool.directive";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Grid PDF component.
 *
 * @example
 *
 * ```ts
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from "@angular/platform-browser";
 * import { GridModule, PDFModule } from '@progress/kendo-angular-grid';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, GridModule, PDFModule],
 *     bootstrap:    [AppComponent]
 * })
 *
 * export class AppModule {}
 *
 * ```
 */
export declare class PDFModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<PDFModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<PDFModule, never, [typeof i1.IconComponent, typeof i1.SVGIconComponent, typeof i2.PDFComponent, typeof i3.PDFMarginComponent, typeof i4.PDFCommandDirective, typeof i5.PDFTemplateDirective, typeof i6.PDFCommandToolbarDirective], [typeof i2.PDFComponent, typeof i3.PDFMarginComponent, typeof i4.PDFCommandDirective, typeof i5.PDFTemplateDirective, typeof i6.PDFCommandToolbarDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<PDFModule>;
}
