/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
/**
 * Represents the Kendo UI GridSpacer component for Angular.
 * Used to give additional white space between the Pager inner elements,
 * and provides a way for customizing the spacer width.
 * It can also be used in any flex container within the Grid
 * ([see example](slug:toolbartemplate_grid#toc-defining-the-spacing-between-toolbar-elements)).
 */
export declare class GridSpacerComponent {
    hostClass: boolean;
    get sizedClass(): boolean;
    get flexBasisStyle(): string;
    /**
     * Specifies the width of the GridSpacer.
     * Accepts the [string values of the CSS `flex-basis` property](https://developer.mozilla.org/en-US/docs/Web/CSS/flex-basis).
     *
     * If not set, the GridSpacer will take all the available space.
     */
    width: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridSpacerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GridSpacerComponent, "kendo-grid-spacer", never, { "width": { "alias": "width"; "required": false; }; }, {}, never, never, true, never>;
}
