/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ColumnInfoService } from './../../common/column-info.service';
import { ColumnComponent } from '../../columns/column.component';
import { DetailTemplateDirective } from '../details/detail-template.directive';
import { GroupDescriptor } from '@progress/kendo-data-query';
import { ColumnBase } from "../../columns/column-base";
import { ColumnsContainer } from '../../columns/columns-container';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FooterComponent {
    private columnInfoService;
    columns: Array<ColumnComponent>;
    groups: Array<GroupDescriptor>;
    detailTemplate: DetailTemplateDirective;
    scrollable: boolean;
    lockedColumnsCount: number;
    logicalRowIndex: number;
    totalColumns: ColumnsContainer;
    get footerClass(): boolean;
    hostClass: boolean;
    hostRole: string;
    constructor(columnInfoService: ColumnInfoService);
    get columnsToRender(): ColumnBase[];
    trackByIndex(index: number, _item: any): any;
    logicalColumnIndex(column: any): number;
    addStickyStyles(column: ColumnBase): {
        [key: string]: any;
    };
    isColumnGroupComponent(column: ColumnBase): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<FooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FooterComponent, "[kendoGridFooter]", never, { "columns": { "alias": "columns"; "required": false; }; "groups": { "alias": "groups"; "required": false; }; "detailTemplate": { "alias": "detailTemplate"; "required": false; }; "scrollable": { "alias": "scrollable"; "required": false; }; "lockedColumnsCount": { "alias": "lockedColumnsCount"; "required": false; }; "logicalRowIndex": { "alias": "logicalRowIndex"; "required": false; }; "totalColumns": { "alias": "totalColumns"; "required": false; }; }, {}, never, never, true, never>;
}
