/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef } from '@angular/core';
import { ContextService } from '../../common/provider.service';
import { ToolbarPosition } from './toolbar-position';
import * as i0 from "@angular/core";
/**
 * A directive applied to all toolbar elements that need to be a part of the Grid
 * keyboard navigation.
 */
export declare class GridToolbarFocusableDirective {
    private host;
    private ctx;
    /**
     * @hidden
     */
    get element(): HTMLElement;
    /**
     * @hidden
     */
    get toolbarPosition(): ToolbarPosition;
    constructor(host: ElementRef, ctx: ContextService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridToolbarFocusableDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GridToolbarFocusableDirective, "        [kendoGridToolbarFocusable],        [kendoGridAddCommand],        [kendoGridCancelCommand],        [kendoGridEditCommand],        [kendoGridRemoveCommand],        [kendoGridSaveCommand],        [kendoGridExcelCommand],        [kendoGridPDFCommand]    ", never, {}, {}, never, never, true, never>;
}
