/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef, ElementRef } from '@angular/core';
import { GridSize } from '../../common/size-options';
import { ContextService } from './../../common/provider.service';
import { ToolbarPosition } from './toolbar-position';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ToolbarComponent {
    private ctx;
    private wrapper;
    context: any;
    role: string;
    hostClasses: boolean;
    get sizeSmallClass(): boolean;
    get sizeMediumClass(): boolean;
    set position(value: ToolbarPosition);
    set size(size: GridSize);
    get size(): GridSize;
    clickHandler(ev: MouseEvent): void;
    arrowLeftListener(): void;
    arrowRightListener(): void;
    homeKeyListener(e: KeyboardEvent): void;
    endKeyListener(e: KeyboardEvent): void;
    navigable: boolean;
    get toolbarTemplateRef(): TemplateRef<any>;
    private _size;
    private navigationService;
    constructor(ctx: ContextService, wrapper: ElementRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<ToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToolbarComponent, "kendo-grid-toolbar", never, { "position": { "alias": "position"; "required": false; }; "size": { "alias": "size"; "required": false; }; "navigable": { "alias": "navigable"; "required": false; }; }, {}, never, never, true, never>;
}
