/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The scroll mode of the Grid.
 *
 * The available values are:
 * * `none`&mdash;Scrollbars are hidden. The Grid cannot be scrolled.
 * * `scrollable`&mdash;Displays scrollbars in Grid.
 * * `virtual`&mdash;Enables the [virtual scroll mode](slug:virtualscrolling_grid) of the Grid.
 *
 * @example
 * ```html
 * <kendo-grid scrollable="scrollable"></kendo-grid>
 * ```
 */
export type ScrollMode = 'none' | 'scrollable' | 'virtual';
