/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DomEventsService } from './../common/dom-events.service';
import { ElementRef, Renderer2 } from '@angular/core';
import { DraggableDirective } from '@progress/kendo-angular-common';
import { SelectionService } from './selection.service';
import { CellSelectionService } from './cell-selection.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class GridMarqueeDirective {
    private draggable;
    private selection;
    private cellSelection;
    private domEvents;
    private host;
    private renderer;
    private pressArgs;
    private marqueeElement;
    private pressTarget;
    private subscriptions;
    private selectionStarted;
    private dragEndSubscription;
    constructor(draggable: DraggableDirective, selection: SelectionService, cellSelection: CellSelectionService, domEvents: DomEventsService, host: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private start;
    private moveMarquee;
    private endSelection;
    private clean;
    private initMarquee;
    private getMarqueeQuadrant;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridMarqueeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GridMarqueeDirective, "[kendoGridSelectionMarquee]", never, {}, {}, never, never, true, never>;
}
